// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

public interface GetStatisticsRequestOrBuilder extends
    // @@protoc_insertion_point(interface_extends:dsepractice.chinese.v1alpha1.GetStatisticsRequest)
    com.google.protobuf.MessageLiteOrBuilder {

  /**
   * <code>string article_id = 5 [json_name = "articleId"];</code>
   * @return Whether the articleId field is set.
   */
  boolean hasArticleId();
  /**
   * <code>string article_id = 5 [json_name = "articleId"];</code>
   * @return The articleId.
   */
  java.lang.String getArticleId();
  /**
   * <code>string article_id = 5 [json_name = "articleId"];</code>
   * @return The bytes for articleId.
   */
  com.google.protobuf.ByteString
      getArticleIdBytes();

  /**
   * <code>bool all_articles = 6 [json_name = "allArticles"];</code>
   * @return Whether the allArticles field is set.
   */
  boolean hasAllArticles();
  /**
   * <code>bool all_articles = 6 [json_name = "allArticles"];</code>
   * @return The allArticles.
   */
  boolean getAllArticles();

  public gg.dsepractice.chinese.v1alpha1.GetStatisticsRequest.StatisticsTypeCase getStatisticsTypeCase();
}
